import os
import sys
sys.path.append('/allen/programs/braintv/workgroups/nc-ophys/nick.ponvert/src/pbstools')
from pbstools import PythonJob 
import behavior_project_cache as bpc

python_file = r"/allen/programs/braintv/workgroups/nc-ophys/nick.ponvert/src/AllenSDK/allensdk/brain_observatory/behavior/swdb/save_trial_response_df.py"

jobdir = '/allen/programs/braintv/workgroups/nc-ophys/nick.ponvert/cluster_jobs/20190810_save_trial_response_df'

job_settings = {'queue': 'braintv',
                'mem': '15g',
                'walltime': '0:30:00',
                'ppn':1,
                'jobdir': jobdir,
                }

cache_json = {'manifest_path': '/allen/programs/braintv/workgroups/nc-ophys/visual_behavior/SWDB_2019/visual_behavior_data_manifest.csv',
              'nwb_base_dir': '/allen/programs/braintv/workgroups/nc-ophys/visual_behavior/SWDB_2019/nwb_files',
              'analysis_files_base_dir': '/allen/programs/braintv/workgroups/nc-ophys/visual_behavior/SWDB_2019/extra_files'
              }

cache = bpc.BehaviorProjectCache(cache_json)

experiment_ids = cache.manifest['ophys_experiment_id'].values

for experiment_id in experiment_ids:
    PythonJob(
        python_file,
        python_executable = '/home/nick.ponvert/anaconda3/envs/allen/bin/python',
        python_args = experiment_id,
        conda_env = None,
        jobname = 'trial_response_df_{}'.format(experiment_id),
        **job_settings
    ).run(dryrun=False)
