import numpy as np



UNIT_FILTER_DEFAULTS = {
    "amplitude_cutoff_maximum": {
        "value": 0.1,
        "missing": np.inf
    },
    "presence_ratio_minimum": {
        "value": 0.95,
        "missing": -np.inf
    },
    "isi_violations_maximum": {
        "value": 0.5,
        "missing": np.inf
    }
}


def get_unit_filter_value(key, pop=True, replace_none=True, **source):
    if pop:
        value = source.pop(key, UNIT_FILTER_DEFAULTS[key]["value"])
    else:
        value = source.get(key, UNIT_FILTER_DEFAULTS[key]["value"])
    
    if value is None and replace_none:
        value = UNIT_FILTER_DEFAULTS[key]["missing"]

    return value
